Hi Gaël,<br><br>I tried that but it seems the backend is correct.<br>There is a strange disclaimer which is printend when ipython is started with the pylab (or gthread) options as shown on this bug:<br><br><a href="https://bugs.launchpad.net/ipython/+bug/270856">https://bugs.launchpad.net/ipython/+bug/270856</a><br>
<br>Can be that the case?<br><br><div class="gmail_quote">On Mon, Dec 7, 2009 at 4:06 PM, Gael Varoquaux <span dir="ltr">&lt;<a href="mailto:gael.varoquaux@normalesup.org">gael.varoquaux@normalesup.org</a>&gt;</span> wrote:<br>
<blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">On Mon, Dec 07, 2009 at 03:52:24PM +0000, Michele Mattioni wrote:<br>
&gt;    What has changed ?<br>
<br>
I am wondering if Ubuntu did not change the default backend for<br>
matplotlib. Try using &#39;ipython -pylab -gthread&#39; to force GTK threads.<br>
<br>
HTH,<br>
<br>
Gaël<br>
</blockquote></div><br>